package info.bukova.isspst.data;

import info.bukova.isspst.Constants;
import info.bukova.isspst.Module;
import info.bukova.isspst.StringUtils;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "SIGNED_DOCUMENTS")
public class SignedDocument extends BaseData {

	@Column(name = "MODULE_NAME", length = Constants.LEN_TEXT)
	private String moduleName;

	@Column(name = "RECORD_ID")
	private int recordId;

	@Column(name = "NUMSER", length = Constants.LEN_TEXT)
	private String numser;

	@Column(name = "DESCRIPTION", length = Constants.LEN_DESCRIPTION)
	private String description;

	@Column(name = "SIGN_DATE")
	private Date signDate;

	public String getModuleName() {
		return moduleName;
	}

	public void setModuleName(String moduleName) {
		this.moduleName = moduleName;
	}

	public int getRecordId() {
		return recordId;
	}

	public void setRecordId(int recordId) {
		this.recordId = recordId;
	}

	public String getNumser() {
		return numser;
	}

	public void setNumser(String numser) {
		this.numser = numser;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Date getSignDate() {
		return signDate;
	}

	public void setSignDate(Date signDate) {
		this.signDate = signDate;
	}

	public String getAgendaName() {

		if (StringUtils.isNullOrEmpty(this.moduleName)) {
			return "";
		}

		for (Module m : Constants.MODULES) {
			if (m.getId() == this.moduleName) {
				return m.getName();
			}
		}

		return "";
	}
}
